; *****************************
; ** angelZware PB Tools Lib **
; ** ----------------------- **
; ** mailalt_demo.pb         **
; ** V0.1 (2010/08/23)       **
; ** by Ronny Krger         **
; *****************************
; ** Licence: LGPL V3        **
; *****************************

EnableExplicit


CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awmessage.pbi"

OpenConsole()

PrintN("AWPB-Tools MailEncoder HTML/Plain-Demo")
PrintN("")

Global *msg, *part, mailtext.s, htmltext.s

mailtext = "Dies ist der Plain-Text-Teil der Testmail."

htmltext = "<!DOCTYPE html PUBLIC "+Chr(34)+"-//W3C//DTD html 4.01 Transitional//EN"+Chr(34)+">"+Chr(10)
htmltext + "<html><head><meta content="+Chr(34)+"text/html; charset="+AWPB_MSG_GetSysCharsetName()+Chr(34)+" http-equiv="+Chr(34)+"content-type"+Chr(34)+">"
htmltext + "<title></title></head><body><pre><code>"  ;               ============================ aktuelles Systemcharset benutzen
htmltext + "Dies ist der HTML-Teil der Testmail."
htmltext + "</code></pre></body></html>"


Print("Allocating Message ... ")
*msg = AWPB_MSG_AllocateMessage()
If *msg
  PrintN("success")
  AWPB_MSG_SetFrom(*msg, "ABSENDERADRESSE")       ;- Set      <- Absenderadresse eintragen
  AWPB_MSG_SetTo(*msg, "EMPFNGERADRESSE")        ;- Set      <- Empfngeradresse eintragen
  AWPB_MSG_SetSubject(*msg, "BETREFF")            ;- Set      <- Betreff eintragen
  AWPB_MSG_SetDate(*msg, Date())
  
  *part = AWPB_MSG_SetMultipart(*msg, #AWPB_MSG_MP_ALTERNATIVE)
  If *part
    If AWPB_MSG_AddPartPlainText(*part, mailtext)         ; Plain-Part hinzufgen
      PrintN("Body eingetragen")
    EndIf
    
    If AWPB_MSG_AddPartHTML(*part, htmltext)              ; htmlpart hinzufgen
      PrintN("Body eingetragen")
    EndIf
  EndIf

  If AWPB_MSG_EncodeMessage(*msg)                 ; message encoden
    PrintN("Message built")
    If AWPB_MSG_SaveMailEML(*msg, "mailalt.eml")
      PrintN("Mail saved")
    Else
      PrintN("Message not saved")
    EndIf
  Else
    PrintN("Message not built")
  EndIf
  
  AWPB_MSG_FreeMessage(*msg)
Else
  PrintN("failed")
EndIf

PrintN("Press return to exit")
Input()

; IDE Options = PureBasic 4.51 RC 2 (Windows - x64)
; CursorPosition = 60
; FirstLine = 4
; EnableUnicode
; EnableThread
; EnableXP
; Executable = file_demo.exe
; CPU = 1
; Compiler = PureBasic 4.51 RC 2 (Windows - x64)
; EnablePurifier